package ink.wgink.interfaces.consts;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ISystemConstant
 * @Description: 系统常量
 * @Author: WangGeng
 * @Date: 2021/1/24 18:15
 * @Version: 1.0
 **/
public interface ISystemConstant {

    /**
     * 系统接口标签前缀
     */
    String API_TAGS_SYSTEM_PREFIX = "系统接口-";
    /**
     * 资源接口标签前缀
     */
    String API_TAGS_RESOURCE_PREFIX = "资源接口-";
    /**
     * APP接口前缀
     */
    String API_TAGS_APP_PREFIX = "APP接口-";
    /**
     * APP路由接口前缀
     */
    String API_TAGS_APP_ROUTE_PREFIX = "APP路由接口-";
    /**
     * 路由接口前缀
     */
    String ROUTE_TAGS_PREFIX = "路由接口-";
    /**
     * 微信接口前缀
     */
    String API_TAGS_WECHAT_PREFIX = "微信接口-";
    /**
     * 微信小程序接口
     */
    String API_TAGS_WECHAT_MINI_APP_PREFIX = "微信小程序接口-";
    /**
     * 发行接口前缀
     */
    String API_TAGS_RELEASE_PREFIX = "发行-";
    /**
     * 系统接口分组
     */
    String API_GROUP_SYSTEM = "SYSTEM";
    /**
     * 资源接口分组
     */
    String API_GROUP_RESOURCE = "RESOURCE";
    /**
     * APP接口分组
     */
    String API_GROUP_APP = "APP";
    /**
     * 路由接口分组
     */
    String API_GROUP_ROUTE = "ROUTE";
    /**
     * 微信接口分组
     */
    String API_GROUP_WECHAT = "WECHAT";
    /**
     * 微信小程序接口分组
     */
    String API_GROUP_WECHAT_MINI_APP = "WXMINIAPP";
    /**
     * api前缀
     */
    String API_PREFIX = "/api";
    /**
     * 路由前缀
     */
    String ROUTE_PREFIX = "/route";
    /**
     * 放行后缀
     */
    String RELEASE_SUFFIX = "release";
    /**
     * 资源前缀
     */
    String RESOURCE_PREFIX = "/resource";
    /**
     * APP前缀
     */
    String APP_PREFIX = "/app";
    /**
     * APP路由前缀
     */
    String APP_ROUTE_PREFIX = "/approute";
    /**
     * APP放行后缀
     */
    String APP_RELEASE_SUFFIX = "release";
    /**
     * 微信前缀
     */
    String WECHAT_PREFIX = "/wechat";
    /**
     * 微信路由前缀
     */
    String WECHAT_ROUTE_PREFIX = "/wechatroute";
    /**
     * 微信小程序前缀
     */
    String WECHAT_MINI_APP_PREFIX = "/wechat/miniapp";
    /**
     * true
     */
    String IS_TRUE = "true";
    /**
     * false
     */
    String IS_FALSE = "false";
    /**
     * true 1
     */
    String IS_TRUE_INT = "1";
    /**
     * false 0
     */
    String IS_FALSE_INT = "0";
    /**
     * UTF-8编码
     */
    String CHARSET_UTF8 = "UTF-8";
    /**
     * token
     */
    String TOKEN = "token";
    /**
     * app的token加密秘钥
     */
    String APP_TOKEN_AES_KEY = "CMXX_TOKEN_INFOS";
    /**
     * app的token标识
     */
    String APP_TOKEN_SIGN = "tokenSign";
    /**
     * app的token标识前缀
     */
    String APP_TOKEN_VERIFY = "CM_Token_";
    /**
     * 验证码
     */
    String VERIFICATION_CODE = "verificationCode";
    /**
     * 树根节点ID值
     */
    String TREE_BASE_ROOT_ID_VALUE = "0";
    /**
     * 参数parentId
     */
    String PARAMS_PARENT_ID = "parentId";
    /**
     * 参数id
     */
    String PARAMS_ID = "id";
    /**
     * 创建人
     */
    String DATA_CREATOR = "data_creator";
    /**
     * 创建人列表
     */
    String DATA_CREATORS = "data_creators";
    /**
     * 创建人列
     */
    String DATA_AUTHORITY = "data_authority";
    /**
     * 树根节点ID
     */
    String TREE_ROOT_ID = "0";
    /**
     * admin
     */
    String ADMIN = "admin";
    /**
     * 日期格式化，年月日
     */
    String DATE_FORMATTER_YYYY_MM_DD = "yyyy-MM-dd";

    /**
     * 日期格式化，年月日时分秒
     */
    String DATE_FORMATTER_YYYY_MM_DD_HH_MM_SS = "yyyy-MM-dd HH:mm:ss";

    /**
     * 默认密码
     */
    String DEFAULT_PASSWORD = "88888888";

}
