package ink.wgink.interfaces.group;

import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.dtos.group.GroupUserDTO;
import ink.wgink.pojo.pos.GroupPO;
import ink.wgink.pojo.result.SuccessResultList;

import java.util.List;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IGroupUserService
 * @Description: 组用户
 * @Author: WangGeng
 * @Date: 2021/1/24 13:00
 * @Version: 1.0
 **/
public interface IGroupUserBaseService {

    /**
     * 用户ID列表
     *
     * @param groupId 用户组ID
     * @return
     */
    List<String> listUserId(String groupId);

    /**
     * 用户ID列表
     *
     * @param groupIds 用户组ID列表
     * @return
     */
    List<String> listUserId(List<String> groupIds);

    /**
     * 分页用户组用户
     *
     * @param groupId
     * @param page
     * @return
     */
    SuccessResultList<List<GroupUserDTO>> listPage(String groupId, ListPage page);

    /**
     * 组列表
     *
     * @param userId
     * @return
     */
    List<GroupPO> listGroupPOByUserId(String userId);
}
