package ink.wgink.interfaces.role;

import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.dtos.role.RoleUserDTO;
import ink.wgink.pojo.pos.RolePO;
import ink.wgink.pojo.result.SuccessResultList;

import java.util.List;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IRoleUserBaseService
 * @Description: 角色用户
 * @Author: WangGeng
 * @Date: 2021/2/18 11:36
 * @Version: 1.0
 **/
public interface IRoleUserBaseService {

    /**
     * 用户ID列表
     *
     * @param roleId 用户组ID
     * @return
     */
    List<String> listUserId(String roleId);

    /**
     * 用户ID列表
     *
     * @param roleIds 用户组ID列表
     * @return
     */
    List<String> listUserId(List<String> roleIds);

    /**
     * 分页用户组用户
     *
     * @param roleId
     * @param page
     * @return
     */
    SuccessResultList<List<RoleUserDTO>> listPage(String roleId, ListPage page);

    /**
     * 角色列表
     * @param userId
     * @return
     */
    List<RolePO> listRolePOByUserId(String userId);
}
