package ink.wgink.login.app.service.appsign;

import ink.wgink.interfaces.app.IAppSignBaseService;
import ink.wgink.login.app.pojo.vos.appsign.AppLoginDefaultVO;
import ink.wgink.login.app.pojo.vos.appsign.AppLoginPhoneVO;

import java.io.UnsupportedEncodingException;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IAppSignService
 * @Description: 登录
 * @Author: wanggeng
 * @Date: 2021/4/7 3:58 下午
 * @Version: 1.0
 */
public interface IAppSignService extends IAppSignBaseService {

    /**
     * APP用户名密码登录
     *
     * @param appLoginDefaultVO
     * @return token
     */
    String defaultSign(AppLoginDefaultVO appLoginDefaultVO) throws UnsupportedEncodingException;

    /**
     * APP手机验证码登录
     *
     * @param appLoginPhoneVO
     * @return token
     */
    String phoneSign(AppLoginPhoneVO appLoginPhoneVO) throws UnsupportedEncodingException;
}
