package ink.wgink.login.app.startup;

import ink.wgink.login.app.dao.appdeviceuser.IAppDeviceUserDao;
import ink.wgink.login.app.dao.appversion.IAppVersionDao;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: LoginAppStartUp
 * @Description: app登录
 * @Author: wanggeng
 * @Date: 2021/4/7 7:00 下午
 * @Version: 1.0
 */
@Component
public class LoginAppStartUp implements ApplicationRunner {

    private static final Logger LOG = LoggerFactory.getLogger(LoginAppStartUp.class);
    @Autowired
    private IAppVersionDao appVersionDao;
    @Autowired
    private IAppDeviceUserDao appDeviceUserDao;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        initTable();
    }

    /**
     * 建表
     */
    private void initTable() {
        LOG.debug("创建 app_version 表");
        appVersionDao.createTable();

        LOG.debug("创建 app_device_user 表");
        appDeviceUserDao.createTable();
    }

}
