package ink.wgink.login.base.dao.log;

import ink.wgink.exceptions.SaveException;
import ink.wgink.exceptions.SearchException;
import ink.wgink.exceptions.UpdateException;
import ink.wgink.login.base.pojo.dtos.log.LoginLogDTO;

import java.util.List;
import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ILoginLogDao
 * @Description: 登录日志
 * @Author: wanggeng
 * @Date: 2021/2/28 10:50 上午
 * @Version: 1.0
 */
public interface ILoginLogDao {

    /**
     * 建表
     *
     * @throws UpdateException
     */
    void createTable() throws UpdateException;

    /**
     * 保存登录日志
     *
     * @param params
     * @throws SaveException
     */
    void save(Map<String, Object> params) throws SaveException;

    /**
     * 登录日志统计
     *
     * @param params
     * @return
     * @throws SearchException
     */
    Integer count(Map<String, Object> params) throws SearchException;

    /**
     * 登录日志列表
     *
     * @param params
     * @return
     * @throws SearchException
     */
    List<LoginLogDTO> list(Map<String, Object> params) throws SearchException;
}
