package ink.wgink.login.base.service.config;

import ink.wgink.interfaces.config.ISystemConfigCheckService;
import ink.wgink.login.base.pojo.vos.ConfigVO;

import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IConfigService
 * @Description: 系统配置
 * @Author: WangGeng
 * @Date: 2019/11/20 10:32
 * @Version: 1.0
 **/
public interface IConfigService extends ISystemConfigCheckService {

    /**
     * 更新配置
     *
     * @param configVO
     * @return
     * @throws Exception
     */
    void updateConfig(ConfigVO configVO) throws Exception;

    /**
     * 更新配置
     *
     * @param key
     * @param value
     */
    void updateConfig(String key, Object value);

    /**
     * 查询配置
     *
     * @return
     */
    Map<String, Object> getConfig();
}
