package ink.wgink.module.article.startup;

import ink.wgink.module.article.dao.category.ICategoryDao;
import ink.wgink.module.article.dao.content.IContentDao;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ArticleStartUp
 * @Description: 文章模块启动
 * @Author: wanggeng
 * @Date: 2021/4/14 9:20 下午
 * @Version: 1.0
 */
@Component
public class ArticleStartUp implements ApplicationRunner {

    private static final Logger LOG = LoggerFactory.getLogger(ArticleStartUp.class);
    @Autowired
    private ICategoryDao categoryDao;
    @Autowired
    private IContentDao contentDao;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        initTable();
    }

    private void initTable() {
        LOG.debug("创建 article_category 表");
        categoryDao.createTable();

        LOG.debug("创建 article_content 表");
        contentDao.createTable();
    }
}
