package ink.wgink.module.dictionary.startup;

import ink.wgink.module.dictionary.dao.IAreaDao;
import ink.wgink.module.dictionary.dao.IDataDao;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ModuleDictionaryStartUp
 * @Description: 字典模块启动
 * @Author: wanggeng
 * @Date: 2021/2/11 9:41 下午
 * @Version: 1.0
 */
@Component
public class ModuleDictionaryStartUp implements ApplicationRunner {

    private static final Logger LOG = LoggerFactory.getLogger(ModuleDictionaryStartUp.class);
    @Autowired
    private IDataDao dataDao;
    @Autowired
    private IAreaDao areaDao;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        initTable();
    }

    /**
     * 建表
     */
    private void initTable() {
        LOG.debug("创建 data_data 表");
        dataDao.createTable();
        LOG.debug("创建 data_area 表");
        areaDao.createTable();
    }
}
