package ink.wgink.module.file.media.controller.route.video;

import ink.wgink.interfaces.consts.ISystemConstant;
import ink.wgink.properties.media.video.VideoProperties;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: VideoRouteController
 * @Description: 视频路由
 * @Author: wanggeng
 * @Date: 2021/6/12 11:16 下午
 * @Version: 1.0
 */
@Api(tags = ISystemConstant.API_TAGS_SYSTEM_PREFIX + "文件管理接口")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/file/media/video")
public class VideoRouteController {

    @Autowired
    private VideoProperties videoProperties;

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("file/media/video/list");
    }

    @GetMapping("upload")
    public ModelAndView upload() {
        ModelAndView modelAndView = new ModelAndView("file/media/video/upload");
        modelAndView.addObject("types", videoProperties.getTypes());
        modelAndView.addObject("maxUploadCount", videoProperties.getMaxUploadCount());
        return modelAndView;
    }

}
