package ink.wgink.module.file.startup;

import ink.wgink.module.file.dao.IFileDao;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ModuleFileStartUp
 * @Description: 文件模块启动
 * @Author: wanggeng
 * @Date: 2021/2/9 9:18 下午
 * @Version: 1.0
 */
@Component
public class ModuleFileStartUp implements ApplicationRunner {
    private static final Logger LOG = LoggerFactory.getLogger(ModuleFileStartUp.class);

    @Autowired
    private IFileDao fileDao;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        initTable();
    }

    /**
     * 建表
     */
    private void initTable() {
        LOG.debug("创建 sys_file 表");
        fileDao.createTable();
    }
}
