package ink.wgink.module.wechat.dao.miniapp;

import ink.wgink.exceptions.SaveException;
import ink.wgink.exceptions.SearchException;
import ink.wgink.exceptions.UpdateException;
import ink.wgink.module.wechat.pojo.pos.miniapp.MiniAppUserPO;
import org.springframework.stereotype.Repository;

import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IMiniAppUserDao
 * @Description: 小程序用户
 * @Author: wanggeng
 * @Date: 2021/4/8 5:39 下午
 * @Version: 1.0
 */
@Repository
public interface IMiniAppUserDao {

    /**
     * 建表
     *
     * @throws UpdateException
     */
    void createTable() throws UpdateException;

    /**
     * 新增
     *
     * @param params
     * @throws SaveException
     */
    void save(Map<String, Object> params) throws SaveException;

    /**
     * 详情
     *
     * @param params
     * @return
     * @throws SearchException
     */
    MiniAppUserPO getPO(Map<String, Object> params) throws SearchException;
}
