package ink.wgink.module.wechat.service.miniapp;


import ink.wgink.module.wechat.pojo.pos.miniapp.MiniAppUserPO;

import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IMiniAppUserService
 * @Description: 小程序用户
 * @Author: wanggeng
 * @Date: 2021/4/8 5:37 下午
 * @Version: 1.0
 */
public interface IMiniAppUserService {

    /**
     * 微信随机用户前缀
     */
    String MINIAPP_RANDOM_USER_PREFIX = "WXM_";

    /**
     * 创建用户并返回用户ID，已经存在的不操作
     *
     * @param appKey
     * @param openId
     * @return
     * @throws Exception
     */
    String createAndReturnUserId(String appKey, String openId) throws Exception;

    /**
     * 详情
     *
     * @param params
     * @return
     */
    MiniAppUserPO getPO(Map<String, Object> params);

    /**
     * 详情
     *
     * @param userId
     * @return
     */
    MiniAppUserPO getPO(String userId);

    /**
     * 详情
     *
     * @param appId
     * @param openId
     * @return
     */
    MiniAppUserPO getPO(String appId, String openId);

}
