package ink.wgink.service.department.startup;

import ink.wgink.service.department.dao.IDepartmentAdjustmentDao;
import ink.wgink.service.department.dao.IDepartmentDao;
import ink.wgink.service.department.dao.IDepartmentUserAdjustmentDao;
import ink.wgink.service.department.dao.IDepartmentUserDao;
import ink.wgink.service.department.service.IDepartmentUserAdjustmentService;
import ink.wgink.service.department.service.IDepartmentUserService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ServiceDepartmentStartUp
 * @Description: 组织机构业务
 * @Author: wanggeng
 * @Date: 2021/2/12 8:39 下午
 * @Version: 1.0
 */
@Component
public class ServiceDepartmentStartUp implements ApplicationRunner {
    private static final Logger LOG = LoggerFactory.getLogger(ServiceDepartmentStartUp.class);

    @Autowired
    private IDepartmentDao departmentDao;
    @Autowired
    private IDepartmentAdjustmentDao departmentAdjustmentDao;
    @Autowired
    private IDepartmentUserDao departmentUserDao;
    @Autowired
    private IDepartmentUserAdjustmentDao departmentUserAdjustmentDao;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        initTable();
    }

    private void initTable() {
        LOG.debug("创建 sys_department 表");
        departmentDao.createTable();

        LOG.debug("创建 sys_department_adjustment 表");
        departmentAdjustmentDao.createTable();

        LOG.debug("创建 sys_department_user 表");
        departmentUserDao.createTable();

        LOG.debug("创建 sys_department_user_adjustment 表");
        departmentUserAdjustmentDao.createTable();
    }

}
