package ink.wgink.service.group.startup;

import ink.wgink.service.group.dao.IGroupDao;
import ink.wgink.service.group.dao.IGroupUserDao;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ServiceGroupStartUp
 * @Description: 用户组启动
 * @Author: wanggeng
 * @Date: 2021/2/15 9:11 上午
 * @Version: 1.0
 */
@Component
public class ServiceGroupStartUp implements ApplicationRunner {

    private static final Logger LOG = LoggerFactory.getLogger(ServiceGroupStartUp.class);

    @Autowired
    private IGroupDao groupDao;
    @Autowired
    private IGroupUserDao groupUserDao;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        initTable();
    }

    private void initTable() {
        LOG.debug("创建 sys_group 表");
        groupDao.createTable();

        LOG.debug("创建 sys_group_user 表");
        groupUserDao.createTable();
    }
}
