package ink.wgink.module.menu.service;

import ink.wgink.interfaces.menu.IMenuBaseService;
import ink.wgink.pojo.result.SuccessResult;
import ink.wgink.module.menu.pojo.vos.MenuVO;

import java.util.List;

/**
 * @ClassName: IMenuService
 * @Description: 菜单
 * @Author: wenc
 * @Date: 2018/12/27 10:18 PM
 * @Version: 1.0
 **/
public interface IMenuService extends IMenuBaseService {

    /**
     * 保存菜单
     *
     * @param menuVO
     * @return
     */
    SuccessResult save(MenuVO menuVO);

    /**
     * 修改菜单
     *
     * @param menuId 菜单ID
     * @param menuVO
     * @return
     */
    SuccessResult update(String menuId, MenuVO menuVO);

    /**
     * 菜单删除
     *
     * @param ids
     * @return
     */
    SuccessResult remove(List<String> ids);

    /**
     * 通过clientId获取菜单
     *
     * @param params
     * @return
     */
    // SuccessResultData<List<MenuDTO>> listMenuByClientId(Map<String, Object> params);

    /**
     * 菜单ID列表
     *
     * @return
     */
    // List<String> listUserMenuId();

    /**
     * 通过clientId和userId获取菜单
     *
     * @param clientId
     * @param userId
     * @return
     */
    // SuccessResultData<List<MenuDTO>> listMenuByClientIdAndUserId(String clientId, String userId);

}
