package ink.wgink.service.permission.startup;

import ink.wgink.service.permission.dao.IPermissionDao;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ModulePermissionStartUp
 * @Description: 权限模块
 * @Author: wanggeng
 * @Date: 2021/2/17 10:34 上午
 * @Version: 1.0
 */
@Component
public class ServicePermissionStartUp implements ApplicationRunner {

    private static final Logger LOG = LoggerFactory.getLogger(ServicePermissionStartUp.class);
    @Autowired
    private IPermissionDao permissionDao;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        initTable();
    }

    /**
     * 初始化表
     */
    private void initTable() {
        LOG.debug("创建 sys_permission 表");
        permissionDao.createTable();
    }

}
