package ink.wgink.service.position.startup;

import ink.wgink.service.position.dao.IPositionDao;
import ink.wgink.service.position.dao.IPositionUserDao;
import ink.wgink.service.position.service.IPositionUserService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ServicePositionStartUp
 * @Description: 职位业务
 * @Author: WangGeng
 * @Date: 2021/2/16 17:42
 * @Version: 1.0
 **/
@Component
public class ServicePositionStartUp implements ApplicationRunner {

    private static final Logger LOG = LoggerFactory.getLogger(ServicePositionStartUp.class);

    @Autowired
    private IPositionDao positionDao;
    @Autowired
    private IPositionUserDao positionUserDao;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        initTable();
    }

    private void initTable() {
        LOG.debug("创建 sys_position 表");
        positionDao.createTable();

        LOG.debug("创建 sys_position_user 表");
        positionUserDao.createTable();
    }

}
