package ink.wgink.service.role.dao;

import ink.wgink.exceptions.RemoveException;
import ink.wgink.exceptions.SaveException;
import ink.wgink.exceptions.SearchException;
import ink.wgink.exceptions.UpdateException;
import ink.wgink.pojo.dtos.role.RoleDataRightDTO;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IRoleDataRightDao
 * @Description: 角色数据权限
 * @Author: WangGeng
 * @Date: 2021/2/21 15:41
 * @Version: 1.0
 **/
@Repository
public interface IRoleDataRightDao {

    /**
     * 建表
     *
     * @throws UpdateException
     */
    void createTable() throws UpdateException;

    /**
     * 新增
     *
     * @param params
     * @throws SaveException
     */
    void save(Map<String, Object> params) throws SaveException;

    /**
     * 删除
     *
     * @param params
     * @throws SaveException
     */
    void delete(Map<String, Object> params) throws RemoveException;

    /**
     * 数据权限列表
     *
     * @param params
     * @return
     */
    List<RoleDataRightDTO> list(Map<String, Object> params) throws SearchException;

    /**
     * 用户ID列表
     *
     * @param params
     * @return
     * @throws SearchException
     */
    List<String> listUserId(Map<String, Object> params) throws SearchException;
}
