package ink.wgink.service.role.startup;

import ink.wgink.pojo.dtos.user.UserDTO;
import ink.wgink.service.role.dao.*;
import ink.wgink.util.date.DateUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ServiceRoleStartUp
 * @Description: 角色业务
 * @Author: WangGeng
 * @Date: 2021/2/17 22:58
 * @Version: 1.0
 **/
@Component
public class ServiceRoleStartUp implements ApplicationRunner {

    private static final Logger LOG = LoggerFactory.getLogger(ServiceRoleStartUp.class);
    @Autowired
    private IRoleDao roleDao;
    @Autowired
    private IRoleUserDao roleUserDao;
    @Autowired
    private IRolePermissionDao rolePermissionDao;
    @Autowired
    private IRoleDataRightDao roleDataRightDao;
    @Autowired
    private IRoleMenuDao roleMenuDao;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        initTable();
    }

    /**
     * 建表
     */
    private void initTable() {
        LOG.debug("创建 sys_role 表");
        roleDao.createTable();

        LOG.debug("创建 sys_role_user 表");
        roleUserDao.createTable();

        LOG.debug("创建 sys_role_permission 表");
        rolePermissionDao.createTable();

        LOG.debug("创建 sys_role_data_right 表");
        roleDataRightDao.createTable();

        LOG.debug("创建 sys_role_menu 表");
        roleMenuDao.createTable();
    }

}
